MockGrailsPluginManager (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins
[Java] Class MockGrailsPluginManager

    java.lang.Object
      org.codehaus.groovy.grails.plugins.AbstractGrailsPluginManager
          org.codehaus.groovy.grails.plugins.MockGrailsPluginManager

    public class MockGrailsPluginManager
    extends AbstractGrailsPluginManager

Authors:
  Graeme Rocher

Since:
  0.4

Field Summary

Fields inherited from class AbstractGrailsPluginManager
CONFIG_FILE, application, applicationContext, classNameToPluginMap, failedPlugins, initialised, loadCorePlugins, pluginClasses, pluginList, pluginResources, plugins, shutdown

Constructor Summary
`MockGrailsPluginManager(GrailsApplication application)`
`MockGrailsPluginManager()`

Method Summary
`void` | `checkForChanges()`
`void` | `doWebDescriptor(org.springframework.core.io.Resource descriptor, java.io.Writer target)`
`void` | `doWebDescriptor(java.io.File descriptor, java.io.Writer target)`
`void` | `expectCheckForChanges()`
`BuildSettings` | `getBuildSettings()`
`GrailsPlugin` | `getGrailsPlugin(java.lang.String name)`
`GrailsPlugin` | `getGrailsPlugin(java.lang.String name, java.math.BigDecimal version)`
`PluginBuildSettings` | `getPluginBuildSettings()`
`java.util.Collection` | `getPluginObservers(GrailsPlugin plugin)`
`javax.servlet.ServletContext` | `getServletContext()`
`GrailsPlugin[]` | `getUserPlugins()`
`boolean` | `hasGrailsPlugin(java.lang.String name)`
`void` | `informObservers(java.lang.String pluginName, java.util.Map event)`
`boolean` | `isInitialised()`
`void` | `loadPlugins()`
`void` | `refreshPlugin(java.lang.String name)`
`void` | `registerMockPlugin(GrailsPlugin plugin)`
`void` | `setServletContext(javax.servlet.ServletContext servletContext)`
`void` | `verify()`

Methods inherited from class AbstractGrailsPluginManager
checkInitialised, doArtefactConfiguration, doDynamicMethods, doPostProcessing, doRuntimeConfiguration, doRuntimeConfiguration, getAllPlugins, getFailedLoadPlugins, getFailedPlugin, getGrailsPlugin, getGrailsPlugin, getGrailsPluginForClassName, getPluginForClass, getPluginForInstance, getPluginPath, getPluginPathForClass, getPluginPathForInstance, getPluginResources, getPluginViewsPathForClass, getPluginViewsPathForInstance, getTypeFilters, hasGrailsPlugin, informOfClassChange, informOfClassChange, informOfFileChange, informPluginsOfConfigChange, isInitialised, isShutdown, registerProvidedArtefacts, setApplication, setApplicationContext, setLoadCorePlugins, shutdown, supportsCurrentBuildScope

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### MockGrailsPluginManager

    public MockGrailsPluginManager(GrailsApplication application)

### MockGrailsPluginManager

    public MockGrailsPluginManager()

Method Detail

### checkForChanges

    public void checkForChanges()

### doWebDescriptor

    public void doWebDescriptor(org.springframework.core.io.Resource descriptor, java.io.Writer target)

### doWebDescriptor

    public void doWebDescriptor(java.io.File descriptor, java.io.Writer target)

### expectCheckForChanges

    public void expectCheckForChanges()

### getBuildSettings

    public BuildSettings getBuildSettings()

### getGrailsPlugin

    @java.lang.Override
    public GrailsPlugin getGrailsPlugin(java.lang.String name)

### getGrailsPlugin

    public GrailsPlugin getGrailsPlugin(java.lang.String name, java.math.BigDecimal version)

### getPluginBuildSettings

    public PluginBuildSettings getPluginBuildSettings()

### getPluginObservers

    public java.util.Collection getPluginObservers(GrailsPlugin plugin)

### getServletContext

    public javax.servlet.ServletContext getServletContext()

### getUserPlugins

    public GrailsPlugin[] getUserPlugins()

### hasGrailsPlugin

    @java.lang.Override
    public boolean hasGrailsPlugin(java.lang.String name)

### informObservers

    @java.lang.SuppressWarnings// do nothing
    public void informObservers(java.lang.String pluginName, java.util.Map event)

### isInitialised

    @java.lang.Overridereturn true;
    public boolean isInitialised()

### loadPlugins

    public void loadPlugins()

### refreshPlugin

    public void refreshPlugin(java.lang.String name)

### registerMockPlugin

    public void registerMockPlugin(GrailsPlugin plugin)

### setServletContext

    public void setServletContext(javax.servlet.ServletContext servletContext)

### verify

    public void verify()

Groovy Documentation